MongoDB::getSlaveOkay
MongoDB::listCollections
MongoDB
PHP Manual

# MongoDB::lastError

Check if there was an error on the most recent db operation performed

### Description

public array MongoDB::lastError ( void )

This method is equivalent to:

`<?php
public function lastError() {
return $this->command(array('getlasterror' => 1));
}
?>`

### Parameters

This function has no parameters.

### Return Values

Returns the error, if there was one.

### Examples

Example #1 MongoDB::lastError `NULL` error example

`<?php
$db->resetError();
var_dump($db->lastError());
?>`

The above example will output something similar to:

    array(3) {
      ["err"]=>
      NULL
      ["n"]=>
      int(0)
      ["ok"]=>
      float(1)
    }

Example #2 MongoDB::lastError duplicate key example

`<?php
$c = $db->selectCollection("foo");
// insert two documents with the same _id
$c->insert(array("_id" => 1));
$c->insert(array("_id" => 1));
var_dump($db->lastError());
?>`

The above example will output something similar to:

    array(3) {
      ["err"]=>
      string(64) "E11000 duplicate key errorindex: foo.foo.$_id_  dup key: { : 1 }"
      ["n"]=>
      int(0)
      ["ok"]=>
      float(1)
    }